﻿/* Contenedor principal de la línea */
.timeline-i {
    position: relative;
    max-width: 800px;
    margin: 0 auto;
}

    /* La línea vertical central */
    .timeline-i::after {
          content: '';
        position: absolute;
        width: 4px;
        background-color: #34495e;
        top: 0;
        bottom: 0;
        left: 50%;
        margin-left: -2px;
    }

/* Contenedores de los items */
.container-i {
    padding: 10px 40px;
    position: relative;
    background-color: inherit;
    width: 50%;
    box-sizing: border-box;
    margin-top: -4pc;
    min-height: 270px !important
}

/* Círculos indicadores en la línea */
    .container-i::after {
        content: '❤️';
        position: absolute;
        width: 20px;
        height: 20px;
        right: 1px;
        top: 15px;
        z-index: 1;
        font-size: 30px;
        margin-top: 100px;
    }


.img-itinerario-i {
    width: 150px
}

/* Posicionamiento a la izquierda */
.left-i {
    left: 0;
}

/* Posicionamiento a la derecha */
.right-i {
    left: 50%;
}

    /* Ajuste de los círculos para el lado derecho */
    .right-i::after {
        left: -21px;
    }

/* El contenido de las tarjetas */
.content-i {
    padding: 20px;
    background-color: white;
    position: relative;
    border-radius: 6px;
    box-shadow: 0 4px 6px rgba(0,0,0,0.1);
    border: 1px solid #ccc;
    height: 280px
}

    .content-i h3 {
        margin-top: 0;
        color: #5e2129;
    }

/* Responsive: en pantallas pequeñas se vuelve una sola columna */
@media screen and (max-width: 600px) {
    .timeline-i::after {
        left: 31px;
    }

    .container-i {
        width: 100%;
        padding-left: 70px;
        padding-right: 25px;
    }

        .container-i::after {
            left: 10px;
        }

    .right-i {
        left: 0%;
    }

    .img-itinerario-i {
        width: 80px
    }

    .content-i {
        padding: 20px;
        background-color: white;
        position: relative;
        border-radius: 6px;
        box-shadow: 0 4px 6px rgba(0,0,0,0.1);
        border: 1px solid #ccc;
        height: 190px
    }

    .container-i::after {
        right: 1px;
        margin-top: 60px;
    }

}
